> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kraken.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get notifications

> This endpoint provides the platform's notifications.



## OpenAPI

````yaml /openapi/futures-rest.yaml get /notifications
openapi: 3.1.0
info:
  title: Kraken Futures Trading API
  version: v3
  description: Market data and order management endpoints.
servers:
  - url: https://futures.kraken.com/derivatives/api/v3
    description: Kraken Futures
security: []
tags:
  - name: Market Data
  - name: Instrument Details
    description: >-
      - The `/instruments/status` endpoint provides a list of statuses for all
      instruments.

      - The `/instruments/{symbol}/status` endpoint provides the status of a
      single instrument.
  - name: Order Management
  - name: Multi-Collateral
    description: Endpoints pertaining to the multi-collateral (MC) futures markets.
  - name: Account Information
  - name: Assignment Program
  - name: Fee Schedules
    description: >-
      **DEPRECATED** — Effective 2026-06-22, the fee values returned by these

      endpoints no longer reflect the fees actually charged on Futures trades.

      Futures fee calculation has been migrated to a centralised Kraken fee

      service.


      To determine the fee rate applied to your trades, use the Spot

      [`GetTradeVolume`](https://docs.kraken.com/api/docs/rest-api/get-trade-volume)

      endpoint authenticated with a Spot API key.
  - name: General
  - name: Historical Data
  - name: Historical Funding Rates
  - name: Trading Settings
  - name: Subaccounts
  - name: Transfers
  - name: RFQs
paths:
  /notifications:
    get:
      tags:
        - General
      summary: Get notifications
      description: This endpoint provides the platform's notifications.
      operationId: getNotifications
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                oneOf:
                  - title: Success Response
                    allOf:
                      - type: object
                        properties:
                          notifications:
                            type: array
                            items:
                              $ref: '#/components/schemas/NotificationJson'
                            description: A list containing the notifications.
                        required:
                          - notifications
                      - $ref: '#/components/schemas/SuccessResponse'
                  - $ref: '#/components/schemas/ErrorResponse'
              examples:
                success:
                  $ref: '#/components/examples/NotificationsSuccessExample'
                failure:
                  $ref: '#/components/examples/NotificationsFailureExample'
      security:
        - general-api-key-read-only: []
          authent: []
components:
  schemas:
    NotificationJson:
      type: object
      properties:
        effectiveTime:
          type: string
          description: The time that notification is taking effect.
        note:
          type: string
          description: |-
            The notification note.

            A short description about the specific notification.
        priority:
          type: string
          enum:
            - low
            - medium
            - high
          description: |-
            The notification priorities:

            - `low`
            - `medium`
            - `high`

             If priority == "high" then it implies downtime will occur at `effective_time` when type == "maintenance".
        type:
          type: string
          enum:
            - new_feature
            - bug_fix
            - settlement
            - general
            - maintenance
            - market
          description: >-
            The notification types:


            - `market`

            - `general`

            - `new_feature`

            - `bug_fix`

            - `maintenance`

            - `settlement`


            If type == "maintenance" then it implies downtime will occur at
            `effective_time` if priority == "high".
        expectedDowntimeMinutes:
          type: integer
          description: >-
            The expected downtime in minutes or absent if no downtime is
            expected.
      required:
        - type
        - priority
        - effectiveTime
        - note
    SuccessResponse:
      title: Success Response
      allOf:
        - $ref: '#/components/schemas/ResultSuccess'
        - $ref: '#/components/schemas/ServerTime'
    ErrorResponse:
      allOf:
        - title: Errors
          type: object
          properties:
            errors:
              type: array
              items:
                $ref: '#/components/schemas/Error'
            error:
              $ref: '#/components/schemas/Error'
          required:
            - error
        - $ref: '#/components/schemas/ResultError'
        - $ref: '#/components/schemas/ServerTime'
    ResultSuccess:
      type: object
      properties:
        result:
          type: string
          enum:
            - success
          example: success
      required:
        - result
    ServerTime:
      type: object
      properties:
        serverTime:
          description: Server time in Coordinated Universal Time (UTC)
          type: string
          format: date-time
          example: '2020-08-27T17:03:33.196Z'
      required:
        - serverTime
    Error:
      type: string
      description: |-
        Error description.

          - `accountInactive`: The Futures account the request refers to is inactive
          - `apiLimitExceeded`: The API limit for the calling IP address has been exceeded
          - `authenticationError`: The request could not be authenticated
          - `insufficientFunds`: The amount requested for transfer is below the amount of funds available
          - `invalidAccount`: The Futures account the transfer request refers to is invalid
          - `invalidAmount`: The amount the transfer request refers to is invalid
          - `invalidArgument`: One or more arguments provided are invalid
          - `invalidUnit`: The unit the transfer request refers to is invalid
          - `Json Parse Error`: The request failed to pass valid JSON as an argument
          - `marketUnavailable`: The market is currently unavailable
          - `nonceBelowThreshold`: The provided nonce is below the threshold
          - `nonceDuplicate`: The provided nonce is a duplicate as it has been used in a previous request
          - `notFound`: The requested information could not be found
          - `requiredArgumentMissing`: One or more required arguments are missing
          - `Server Error`: There was an error processing the request
          - `Unavailable`: The endpoint being called is unavailable
          - `unknownError`: An unknown error has occurred
      enum:
        - accountInactive
        - apiLimitExceeded
        - authenticationError
        - insufficientFunds
        - invalidAccount
        - invalidAmount
        - invalidArgument
        - invalidUnit
        - Json Parse Error
        - marketUnavailable
        - nonceBelowThreshold
        - nonceDuplicate
        - notFound
        - requiredArgumentMissing
        - Server Error
        - Unavailable
        - unknownError
    ResultError:
      type: object
      properties:
        result:
          type: string
          enum:
            - error
          example: error
      required:
        - result
  examples:
    NotificationsSuccessExample:
      value:
        result: success
        notifications:
          - type: general
            priority: low
            note: We've launched a new Telegram group.
            effectiveTime: '2022-03-31T20:38:52.677Z'
          - type: settlement
            priority: medium
            note: Week contracts with maturity 29/Jun/2018 expire and settle.
            effectiveTime: '2018-06-29T15:00:00Z'
        serverTime: '2018-06-29T15:22:05.187Z'
    NotificationsFailureExample:
      value:
        result: error
        serverTime: '2016-02-25T09:45:53.818Z'
        error: apiLimitExceeded
  securitySchemes:
    general-api-key-read-only:
      type: apiKey
      description: General API key with at least **read-only** access
      in: header
      name: APIKey
      x-inlineDescription: true
    authent:
      type: apiKey
      description: Authentication string
      in: header
      name: Authent
      x-inlineDescription: true

````